Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class ConcurrentReaderHashMap.Entry

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.Entry

    class ConcurrentReaderHashMap.Entry

ConcurrentReaderHashMap collision list entry.

Field Summary
`protected int` | `hash`
`protected Object` | `key`
`protected Entry` | `next`
`protected Object` | `value`

Constructor Summary
`ConcurrentReaderHashMap.Entry(int hash, Object key, Object value, Entry next)`

Method Summary
`boolean` | `equals(Object o)`
`Object` | `getKey()`
`Object` | `getValue()` Get the value.
`int` | `hashCode()`
`Object` | `setValue(Object value)` Set the value of this entry.
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### hash

    protected final int hash

### key

    protected final Object key

### next

    protected final Entry next

### value

    protected Object value

Constructor Detail

### ConcurrentReaderHashMap.Entry

    public ConcurrentReaderHashMap.Entry(int hash, Object key, Object value, Entry next)

Method Detail

### equals

    public boolean equals(Object o)

### getKey

    public Object getKey()

### getValue

    public Object getValue()

  Get the value. Note: In an entrySet or entrySet.iterator, unless the set or iterator is used under synchronization of the table as a whole (or you can otherwise guarantee lack of concurrent modification), `getValue` might return null, reflecting the fact that the entry has been concurrently removed. However, there are no assurances that concurrent removals will be reflected using this method.
  return:
    the current value, or null if the entry has been detectably removed.

### hashCode

    public int hashCode()

### setValue

    public Object setValue(Object value)

  Set the value of this entry. Note: In an entrySet or entrySet.iterator), unless the set or iterator is used under synchronization of the table as a whole (or you can otherwise guarantee lack of concurrent modification), `setValue` is not strictly guaranteed to actually replace the value field obtained via the `get` operation of the underlying hash table in multithreaded applications. If iterator-wide synchronization is not used, and any other concurrent `put` or `remove` operations occur, sometimes even to other entries, then this change is not guaranteed to be reflected in the hash table. (It might, or it might not. There are no assurances either way.)
  param:
    value the new value.
  return:
    the previous value, or null if entry has been detectably removed.
  exception:
    NullPointerException if the value is `null`.

### toString

    public String toString()

Copyright © 2003-2009 The Codehaus. All rights reserved.